06 сентября 2016

Adobe возобновляет выпуск Flash Player для Linux

Спустя четыре года с момента прекращения формирования сборок для Linux компания Adobe объявила о возобновлении выпусков плагина Flash Player в формате NPAPI. В качестве причины возобновления выпусков для Linux называется желание повысить безопасность и предоставить возможность продолжить работу с Flash после запланированного на 2017 год прекращения поддержки ветки 11.2.
Для загрузки уже подготовлен бета-выпуск Flash Player 23, который доступен в форматах NPAPI и PPAPI  (Для Linux только NPAPI).

Установка Adobe Flash 23 Beta для Firefox в Ubuntu и производные

Так как многие веб-сайты до сих пор используют Adobe Flash, мы должны использовать flash для просмотра видеоконтента.

В настоящий момент доступны для загрузки только двоичные файлы 32 и 64-bit Adobe Flash 23 Beta по следующей ссылке:



Убедитесь, что в Источниках приложений, вкладка Другое ПО, активирован пункт Партнёры Canonical:


Теперь откройте терминал (Ctrl+Alt+T), скопируйте и выполните команду, чтобы установить Adobe-flashplugin:

sudo apt update; sudo apt install adobe-flashplugin

Далее переместите файл libflashplayer.so, который вы только что загрузили, в папку  /usr/lib/adobe-flashplugin/, выполнив следующую команду:

sudo mv ~/Загрузки/libflashplayer.so /usr/lib/adobe-flashplugin/

Измените права на выполнение файла:

sudo chown root:root /usr/lib/adobe-flashplugin/libflashplayer.so

И последнее. Нужно перезапустить Firefox, чтобы пользоваться новым флешем:



Источник: Beta News – Flash Player NPAPI for Linux

Удачи.

47 комментариев :

  1. -Изя,бардак заказывал?
    -Нет.
    -Да,все равно оплачено.
    А так-то многие отвыкли.Как на убунтовском форуме написали:флеш все прощается,прощается, и никак не уходит.

    ОтветитьУдалить
    Ответы
    1. А почему переместить,а не копировать?

      Удалить
    2. Потому что команда mv (от англ. move - двигать, перемещать). В данном случае переместить файл в директорию /usr/lib/adobe-flashplugin/, чтобы он работал. А в Загрузках он как-то больше не к чему. Чего его копировать.

      Удалить
    3. Просто меня учили:работай с копией,а то вдруг чё пойдет не так...

      Удалить
    4. И да,когда не будет beta,флеш предложить штатное обновление,или ручками?

      Удалить
    5. Ну, да.) По принципу: бережёного-Бог бережёт.:)))

      Удалить
    6. ==И да,когда не будет beta,флеш предложить штатное обновление,или ручками?== Никак нет! Для того и подключается реп Партнёры Canonical, чтобы он обновлялся автоматом/штатно.

      Удалить
    7. Таки поставил жене на стационарный с 14.04.Beta23 нормально работает.Подключен реп Партнёры Canonical,а вот обновится предлагает на 11.2.Будем ждать когда не будет beta.
      Вот почему я говорил про копию,так как если обновится сейчас-то получишь старый флеш.
      Пришлось на всякий случай скрипт написать,который 23 возвращает.

      Удалить
  2. Всё вышло!Видео на некоторых сайтах стало плавней и без рывочков!!!!Спасибо Вам!!

    ОтветитьУдалить
  3. Да Хром крутит флеш без проблем, без всяких манипуляции.

    ОтветитьУдалить
    Ответы
    1. ==Да Хром крутит флеш без проблем, без всяких манипуляции.== Так ведь статья о флеш в Firefox, причём здесь этот коммент про Хром?

      Удалить
  4. В Synaptic выбираем adobeflash-properties-gtk устанавливаем и в меню появится значок флеш от Chrome затем подключаем репозитарий sudo add-apt-repository ppa:nilarimogard/webupd8
    sudo apt-get update
    sudo apt-get install freshplayerplugin и получаем в Mozilla flashplayer на данный момент его версия 22.0.0.209

    ОтветитьУдалить
  5. Мое мнение - это не нужно, это поделие слишком дырявое и html5 прекрасно заменяет его. А сайты котоыре до сих пор поддерживают флешь их надо закапывать или банить. Рассадники уязвимостей.

    ОтветитьУдалить
    Ответы
    1. Что-то мне не попадались новости о проблемах линукс из-за дырок во флеш.По винде-да.
      Видать много чего на флеш еще работает,раз адобэ решил его откопать.

      Удалить
    2. Адоб просто всеми способами пытается не дать ему сдохнуть.

      Удалить
    3. с 2008 года Убунта перестала участвовать в соревнованиях Pwn2Own по взлому браузеров в связи с бесперспективностью, ни браузер ни флешплеера

      Удалить
  6. Вы не могли бы описать мне как выглядят уязвимости на флеш.ато все о них говорят,а какие они?

    ОтветитьУдалить
  7. Владимир вопрос не по теме, судя из новостей ядро 4.8 готово, и очень много хороших изменений, когда выйдет для загрузки?

    ОтветитьУдалить
    Ответы
    1. Ираклий, у тебя неверные сведения относительно выпуска ядра 4.8. Держи руку на пульсе: https://www.kernel.org/

      Удалить
  8. Я думаю это очень хорошо пусть кому надо будет возможность .Все таки бывает встречаются мне нужные сайты на flash да еще и часто информируют что у тебя устаревшая версия или вообще пытаются не дать загрузить контент ,не смотря что пользуюсь на 99% html5 ,но пусть будет выбор Я тоже себе поставил несколько дней назад сразу как увидел в сети, вроде все нормально работает .Люблю когда система справляется с любыми задачами ,может он многим и не нужен да и мне не часто ,но не помешает мне однозначно нужно пока что

    ОтветитьУдалить
  9. На мой взгляд хорошая новость потому как если ОС не поддерживает максимум всего то как бы её не хвалили, а тогда она имеет все признаки недоОси, именно потому на Линукс не так много народу как хотелось, потому как для рядового пользователя сильно много заморочек не дающих номально пользоваться ОС без дополнительных плясок. Единственное что хотелось-бы пожелать разработчикам что-бы в новой версии плеера подумали о извечной проблемме присутствующей во флеш под Линукс, а именно тормозах на слабом железе, короче говоря хотелось-бы чтоб плеер оптимизировали

    ОтветитьУдалить
  10. Что-то подмена не работает. libflashplayer.so меняю,меняю права - Firefox плагин не видит. Если плагин удалить и переустановить снова - старенький плагин появляется. Подменяешь на новый по гайду - снова нет.

    Ubuntu 12.04LTS

    ОтветитьУдалить
    Ответы
    1. А чего таким стареньким релизом-то пользуешься?

      Удалить
    2. Во-первых, он меня устраивает абсолютно.
      Во-вторых, на нетбуке стоит интеловская недоделка Atom N2600, и на нее дрова под видео официальные только под винь 7-32 и те недопиленные. А под линь существует подобие дров лишь под UBUNTU 12.04 и те с бубном ставить через задний проход нужно.


      Удалить
  11. А под линь существует подобие дров лишь под UBUNTU 12.04 и те с бубном ставить через задний проход нужно.(С) У супруги такой же нетбук, установил 16.04, всё прекрасно работает, даже без танцев с бубном.

    ОтветитьУдалить
    Ответы
    1. Этот комментарий был удален автором.

      Удалить
    2. 16.04 попробовал. То же, что 14.04 - только стандартные драйвера под это проц. Так что альтернативы 12.04 для него нет.

      Удалить
  12. А он только под Firefox? Что то начал замечать и Opera не все сайты берет.

    ОтветитьУдалить
  13. Новая версия Flash Playerа, по смыслу должна лучше работать, но на деле оказывается хуже чем в Хроме.

    ОтветитьУдалить
  14. Дополню предыдущий комментарий - в Firefox с новым Flash плеером вообще не запустилось кое-что, а в Хроме прекрасно работает.

    ОтветитьУдалить
  15. не хочется расстраивать,но с этим новым не работают drm . то есть посмотреть на www.1tv.ru/live канал не выйдет,так что в топку...

    ОтветитьУдалить
  16. А как запустить flash player в Яндекс браузере?

    ОтветитьУдалить
    Ответы
    1. Установите pepperflashplugin-nonfree:

      sudo apt-get install pepperflashplugin-nonfree

      И перезапустите Яндекс браузер.

      Удалить
    2. Владимир все равно в Яндекс браузере пишет установите последнюю версию flash plugin // Владимир сделайте гайд как поставить flash player 24 beta версии на Linux Mint 18.1 и производные -прошу !!!

      Удалить
    3. Это Яндекс глючит. У меня установлена версия flash player 24 beta в Linux Mint 18.1 и в Firefox он работает:
      http://s020.radikal.ru/i723/1611/c3/294e584c1b53.png

      А в Яндексе - нет:
      http://s017.radikal.ru/i443/1611/70/f0971fad9b54.png

      Так что все претензии к разрабам Яндекс.

      Удалить
    4. Разрабы Яндекс тут не при чем, мне кажется :) Просто Яндекс браузер на движке хрома, и ему нужен не NPAPI Flash (как для Firefox), а PPAPI Flash (PepperFlash), как в хроме.
      http://get.adobe.com/ru/flashplayer/otherversions/
      http://storage7.static.itmages.com/i/16/1129/h_1480407732_3400443_d835eb64ee.png

      Удалить
    5. P.S. Раньше эта проблема решалась, например, установкой хрома, однако начиная с версии 54 Хром перестал поставляться в комплекте с PepperFlash, и последний приходится ставить отдельно. В этой связи, непонятно, почему установка pepperflashplugin-nonfree не помогла. PALADIN TV, Вы уверены, что пакет установился? Есть ли он вообще в репозиториях? К сожалению, сам проверить не могу - под рукой нет Убунту.

      Удалить
    6. Нет, Максим, вся беда именно в браузере Яндекс. PPAPI Flash (PepperFlash) установлен. В Chromium flash работает, в Яндекс - нет.

      Удалить
    7. ==В Chromium flash работает, в Яндекс - нет==
      Интересно девки пляшут... Надо погуглить на эту тему. Видимо, действительно надо ставить вручную, или какие-то дополнительные символьные ссылки создавать, раз браузер не видит peppreflash... Провентилирую вопрос на досуге.

      Удалить
    8. В Arch после установки pepperflash плагин заработал в Яндекс-браузере:
      http://storage8.static.itmages.com/i/16/1129/h_1480412044_2404096_aa56d3f2ad.png
      Выходит, тут какая-то Убунту-специфичная проблема. Интересно. Надо разбираться...

      Удалить
    9. Надо глянуть по адресу browser://plugins/ , виден ли там Adobe Flash, и не отключен ли он. У меня так:
      http://storage4.static.itmages.com/i/16/1129/h_1480412947_3236967_cff8d8c323.png

      Удалить
    10. Если с подробностями, то
      http://storage9.static.itmages.com/i/16/1129/h_1480413947_8772774_a270d11c8f.png
      Как видно, бинарный файл плагина libpepflashplayer.so лежит по адресу /usr/lib/PepperFlash
      Возможно, если его скачать из http://get.adobe.com/ru/flashplayer/otherversions/ и распаковать по такому же адресу в Убунту (с правами админа), то все заработает.

      Удалить
    11. Подскажите а как в ТОР браузере его поставить или включить,чтоб видео смотреть.

      Удалить
    12. В Tor должен работать тот же флеш, что и в Firefox (adobe-flashplugin), но для его включения нужно изменить настройки по аналогии с этой https://webgyry.info/kak-vklychit-flash-tor-browser статьей.

      Удалить
  17. Здравствуйте. У меня такой вопрос: А можно сделать так, чтобы можно было поставить Adobe Flash Player (AFP) в Chromium/opera/FireFox на Linux Mint 18 "Sarah"??? А что сколько пытаюсь поставить на него AFP, ни как не получается

    ОтветитьУдалить